# Interface methods for submodule: SLICImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy, ImageToImageFilterCommonProxy as _ImageToImageFilterCommonProxy


# Interface methods for class: SLICImageFilter
class SLICImageFilterProxy(_ImageSourceProxy, _ImageToImageFilterCommonProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, arg0: int, image) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def PushBackInput(self, input) -> None:
		""""""
		...

	def PopBackInput(self) -> None:
		""""""
		...

	def PushFrontInput(self, input) -> None:
		""""""
		...

	def PopFrontInput(self) -> None:
		""""""
		...

	def SetCoordinateTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetCoordinateTolerance(self) -> float:
		""""""
		...

	def SetDirectionTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetDirectionTolerance(self) -> float:
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetSpatialProximityWeight(self, _arg: float) -> None:
		""""""
		...

	def GetSpatialProximityWeight(self) -> float:
		""""""
		...

	def SetMaximumNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumNumberOfIterations(self) -> int:
		""""""
		...

	@overload
	def SetSuperGridSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetSuperGridSize(self, factor: int) -> None:
		""""""
		...

	@overload
	def SetSuperGridSize(self, i: int, factor: int) -> None:
		""""""
		...

	def GetSuperGridSize(self) -> Sequence[int]:
		""""""
		...

	def SetInitializationPerturbation(self, _arg: bool) -> None:
		""""""
		...

	def GetInitializationPerturbation(self) -> bool:
		""""""
		...

	def InitializationPerturbationOn(self) -> None:
		""""""
		...

	def InitializationPerturbationOff(self) -> None:
		""""""
		...

	def SetEnforceConnectivity(self, _arg: bool) -> None:
		""""""
		...

	def GetEnforceConnectivity(self) -> bool:
		""""""
		...

	def EnforceConnectivityOn(self) -> None:
		""""""
		...

	def EnforceConnectivityOff(self) -> None:
		""""""
		...

	def GetAverageResidual(self) -> float:
		""""""
		...

